Can't install any plugins on OctoPrint (Windows installation)

What is the problem?

When I try to install any plugin, i get the same error:

Installing plugin "Exclude Region" from https://github.com/bradcfisher/OctoPrint-ExcludeRegionPlugin/archive/master.zip...
c:\octoprint\venv\scripts\python.exe -m pip --disable-pip-version-check install 'file:///c:/users/ofispc~1/appdata/local/temp/tmpetq4ai/octoprint-excluderegionplugin-master.zip' --no-cache-dir
ERROR: Invalid requirement: "'file:///c:/users/ofispc~1/appdata/local/temp/tmpetq4ai/octoprint-excluderegionplugin-master.zip'"
Error!
Could not parse output from pip, see plugin_pluginmanager_console.log for generated output

What did you already try to solve it?

Tried to upgrade pip, no luck

Complete Logs

octoprint.log, serial.log or output on terminal tab at a minimum, browser error console if UI issue ... no logs, no support! Not log excerpts, complete logs.)

https://wtools.io/paste-code/b1Xz. octoprint log
https://wtools.io/paste-code/b1X0 - plugin manager

Additional information about your setup

OctoPrint version, OctoPi version, printer, firmware, browser, operating system, ... as much data as possible

octoprint on windows 10

You may have a look on this thread:

Okay, so I should just wait for the next release?
Any idea how often they are launching new releases?

You could run the maintenance branch from the OctoPrint repo (where it is patched), by checking out & installing the git repo. - but be warned, whilst it is maintained very stable, bugs & regressions can sneak in.

You can also install plugins manually from an external url, by activating the virtual environment then running the command that is listed on the plugin repository.

1.4.1/2 were released at the start of August, after 1.4.0 in March, but it would be down to @foosel as to when 1.5.0 would be released.

Hi... I'm "they"

2 Likes

Hi Gina,

Thank you creating Octoprint!

1 Like